package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.databind.JsonNode;
import io.accumulatenetwork.sdk.protocol.RPCBody;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("MetricsResponse")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MetricsResponse implements RPCBody {
	private JsonNode value;

    //
	public JsonNode getValue() {
	    return value;
	}
	public void setValue(final JsonNode value) {
	    this.value = value;
	}

	public MetricsResponse value(final JsonNode value) {
	    setValue(value);
	    return this;
	}
}
